tvbrowser.core.tvdataservice

## Class DefaultTvDataServiceProxy

- java.lang.Object
- - tvbrowser.core.tvdataservice.AbstractTvDataServiceProxy
  - - tvbrowser.core.tvdataservice.DefaultTvDataServiceProxy

- All Implemented Interfaces:
    ContextMenuIf, InfoIf, ButtonActionIf, TvDataServiceProxy

      public class DefaultTvDataServiceProxy
      extends AbstractTvDataServiceProxy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.core.tvdataservice.TvDataServiceProxy

      `TvDataServiceProxy.Comparator`

  - ### Field Summary

    - ### Fields inherited from interface devplugin.ContextMenuIf

      `ACTIONKEY_KEYBOARD_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTvDataServiceProxy(AbstractTvDataService service)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Channel[]` | `checkForAvailableChannels(ChannelGroup group, ProgressMonitor monitor)`
    `ChannelGroup[]` | `checkForAvailableGroups(ProgressMonitor monitor)`
    `SettingsPanel` | `getAuthenticationPanel()` If the download of the TV data needs authentication create a panel that contains information about the authentification and the authentication form.
    `Channel[]` | `getAvailableChannels(ChannelGroup group)`
    `ChannelGroup[]` | `getAvailableGroups()`
    `ActionMenu` | `getButtonAction()` Gets the action menu with the action supported for toolbar actions.
    `java.lang.String` | `getButtonActionDescription()` Gets the description for this ButtonActionIf.
    `ActionMenu` | `getContextMenuActions(Program program)` Gets the actions for the context menu of a program.
    `java.lang.String` | `getDataServicePackageName()`
    `java.lang.String` | `getId()` Gets the ID of this ContextMenuIf.
    `PluginInfo` | `getInfo()` Gets information about this TvDataService
    `java.awt.Frame` | `getParentFrame()` Gets the parent frame.
    `java.lang.String` | `getPluginCategory()`
    `SettingsPanel` | `getSettingsPanel()`
    `void` | `handleTvBrowserStartFinished()` This method is called when the TV-Browser start is complete.
    `boolean` | `hasSettingsPanel()` A TvDataService can have a settings panel within the settings dialog.
    `void` | `loadSettings(java.util.Properties settings)` Called by the host-application during start-up.
    `void` | `setParent(java.awt.Frame parent)` Called by the host-application to provide the parent frame.
    `void` | `setWorkingDirectory(java.io.File dataDir)` This method is called by the host application to set the working folder.
    `java.util.Properties` | `storeSettings()` Called by the host-application during shut-down.
    `boolean` | `supportsAutoUpdate()` Gets if the data service supports auto upate of data.
    `boolean` | `supportsDynamicChannelGroups()`
    `boolean` | `supportsDynamicChannelList()`
    `void` | `updateTvData(TvDataUpdateManager updateManager, Channel[] channelArr, Date startDate, int dateCount, ProgressMonitor monitor)` Updates the TV listings provided by this data service.

    - ### Methods inherited from class tvbrowser.core.tvdataservice.AbstractTvDataServiceProxy

      `checkForAvailableChannels, equals, getAvailableChannels, getChannelsForTvBrowserStart, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTvDataServiceProxy

          public DefaultTvDataServiceProxy(AbstractTvDataService service)

  - ### Method Detail

    - #### setWorkingDirectory

          public void setWorkingDirectory(java.io.File dataDir)

      Description copied from interface: `TvDataServiceProxy`
      This method is called by the host application to set the working folder. If required, TvDataService implementations should store their data within this 'dataDir' directory

    - #### getAvailableGroups

          public ChannelGroup[] getAvailableGroups()

      Returns:
        an array of the available channel groups.

    - #### updateTvData

          public void updateTvData(TvDataUpdateManager updateManager,
                          Channel[] channelArr,
                          Date startDate,
                          int dateCount,
                          ProgressMonitor monitor)
                            throws TvBrowserException

      Description copied from interface: `TvDataServiceProxy`
      Updates the TV listings provided by this data service.
      Throws:
        `TvBrowserException`

    - #### loadSettings

          public void loadSettings(java.util.Properties settings)

      Description copied from interface: `TvDataServiceProxy`
      Called by the host-application during start-up. Implement this method to load your dataservices settings from the file system.

    - #### storeSettings

          public java.util.Properties storeSettings()

      Description copied from interface: `TvDataServiceProxy`
      Called by the host-application during shut-down. Implements this method to store your dataservices settings to the file system.

    - #### hasSettingsPanel

          public boolean hasSettingsPanel()

      Description copied from interface: `TvDataServiceProxy`
      A TvDataService can have a settings panel within the settings dialog. If the hasSettingsPanel() method returns false, the getSettingsPanel() method is never called.
      Returns:
        true, if the settings panel feature is used by this TvDataService

    - #### getSettingsPanel

          public SettingsPanel getSettingsPanel()

      Returns:
        the SettingsPanel of this TvDataService

    - #### getAvailableChannels

          public Channel[] getAvailableChannels(ChannelGroup group)

    - #### checkForAvailableChannels

          public Channel[] checkForAvailableChannels(ChannelGroup group,
                                            ProgressMonitor monitor)
                                              throws TvBrowserException

      Specified by:
        `checkForAvailableChannels` in interface `TvDataServiceProxy`
      Specified by:
        `checkForAvailableChannels` in class `AbstractTvDataServiceProxy`
      Throws:
        `TvBrowserException`

    - #### checkForAvailableGroups

          public ChannelGroup[] checkForAvailableGroups(ProgressMonitor monitor)
                                                 throws TvBrowserException

      Throws:
        `TvBrowserException`

    - #### supportsDynamicChannelList

          public boolean supportsDynamicChannelList()

      Returns:
        true, if this TvDataService can dynamically load other channels

    - #### supportsDynamicChannelGroups

          public boolean supportsDynamicChannelGroups()

    - #### getInfo

          public PluginInfo getInfo()

      Description copied from interface: `TvDataServiceProxy`
      Gets information about this TvDataService
      Returns:
        The plugin info.

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `ContextMenuIf`
      Gets the ID of this ContextMenuIf.
      Returns:
        a unique id to identify this TvDataService

    - #### setParent

          public final void setParent(java.awt.Frame parent)

      Called by the host-application to provide the parent frame.
      Parameters:
        `parent` - The parent frame.
      Since:
        2.7

    - #### getParentFrame

          public final java.awt.Frame getParentFrame()

      Gets the parent frame.

      The parent frame may be used for showing dialogs.

      Returns:
        The parent frame.
      Since:
        2.7

    - #### handleTvBrowserStartFinished

          public void handleTvBrowserStartFinished()

      This method is called when the TV-Browser start is complete.
      Since:
        2.7

    - #### supportsAutoUpdate

          public boolean supportsAutoUpdate()

      Gets if the data service supports auto upate of data.
      Returns:
        `True` if the data service supports the auto update, `false` otherwise.
      Since:
        2.7

    - #### getButtonAction

          public ActionMenu getButtonAction()

      Gets the action menu with the action supported for toolbar actions.
      Returns:
        The action menu with the supported toolbar actions

    - #### getButtonActionDescription

          public java.lang.String getButtonActionDescription()

      Gets the description for this ButtonActionIf.
      Returns:
        The description for this ButtonActionIf.

    - #### getContextMenuActions

          public ActionMenu getContextMenuActions(Program program)

      Gets the actions for the context menu of a program.
      Parameters:
        `program` - The program the context menu will be shown for.
      Returns:
        the actions this plugin provides for the given program or `null` if the plugin does not provide this feature.

    - #### getDataServicePackageName

          public java.lang.String getDataServicePackageName()

      Returns:
        package name of data service

    - #### getPluginCategory

          public java.lang.String getPluginCategory()

    - #### getAuthenticationPanel

          public SettingsPanel getAuthenticationPanel()

      Description copied from interface: `TvDataServiceProxy`
      If the download of the TV data needs authentication create a panel that contains information about the authentification and the authentication form.

      Returns:
        The panel with the authentication settings.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)